TT4 compatability

All information on TTS 4

Moderators: mcorn, malfukt, Nasz, Lunatix

Post Reply
mottyd5
Posts: 20
Joined: Thu Jan 29, 2009 12:16 pm
Location: Israel

TT4 compatability

Post by mottyd5 » Wed Apr 11, 2018 3:55 pm

Tacx Trainer software 4 I have today for the old bushido is the same Tacx Trainer software 4 that will work for the new NEO ?

User avatar
ms6073
Posts: 1796
Joined: Sat Oct 07, 2006 9:06 pm
Location: USA, Houston, TX

Re: TT4 compatability

Post by ms6073 » Wed Apr 11, 2018 6:27 pm

Yes, but that assumes you have been installing Tacx's updates for TTS and are currently running version 4.22 or newer.
TTS 4.19.1 | T2800 NEO Smart [formerly Bushido & Fortius]
MSI GS70 Laptop | Windows 10 x64
Intel Core i7-4710HQ 2.40 GHz | 16 Gb DDR3 1600 MHz
GeForce GTX 870M | 256 GB SSD x 2 RAID 0 + 1 TB HDD
Samsung 32" LED TV

Post Reply

Return to “Tacx Trainer software 4”

Who is online

Users browsing this forum: No registered users and 1 guest